import request from '@/utils/request'

// 查询指南分类列表
export function listGuideCategory(query) {
  return request({
    url: '/system/guideCategory/list',
    method: 'get',
    params: query
  })
}

// 查询指南分类详细
export function getGuideCategory(id) {
  return request({
    url: '/system/guideCategory/' + id,
    method: 'get'
  })
}

// 新增指南分类
export function addGuideCategory(data) {
  return request({
    url: '/system/guideCategory',
    method: 'post',
    data: data
  })
}

// 修改指南分类
export function updateGuideCategory(data) {
  return request({
    url: '/system/guideCategory',
    method: 'put',
    data: data
  })
}

// 删除指南分类
export function delGuideCategory(id) {
  return request({
    url: '/system/guideCategory/' + id,
    method: 'delete'
  })
}
